package controllers;

import forms.DemoForm;
import play.data.Form;
import play.filters.csrf.AddCSRFToken;
import play.filters.csrf.RequireCSRFCheck;
import play.mvc.Controller;
import play.mvc.Result;
import views.html.Index;

public class HomeController extends Controller {

    @AddCSRFToken
    public Result GET_ShowForm() {
        final Form<DemoForm> f = Form.form(DemoForm.class);
        return ok(Index.render(f));
    }

    @RequireCSRFCheck
    public Result POST_ProcessForm() {
        final Form<DemoForm> f = Form.form(DemoForm.class).bindFromRequest();
        if (f.hasErrors()) {
            return badRequest(Index.render(f));
        }
        return redirect(routes.HomeController.GET_ShowForm());
    }
}
